#!/bin/sh

install -v -m755 -d					/usr/local/bin
install -v -m755 -s slimevolley				/usr/local/bin

install -v -m755 -d					/usr/share/applications
install -v -m644 debian/slimevolley.desktop		/usr/share/applications

install -v -m755 -d					/usr/local/share/games/slimevolley
install -v -m644 data/icone.png				/usr/local/share/games/slimevolley

install -v -m755 -d					/usr/local/share/games/slimevolley/slimes
install -v -m644 data/slimes/slimeJD1.png		/usr/local/share/games/slimevolley/slimes
install -v -m644 data/slimes/slimeJD2.png		/usr/local/share/games/slimevolley/slimes
install -v -m644 data/slimes/slimeJD3.png		/usr/local/share/games/slimevolley/slimes
install -v -m644 data/slimes/slimeJD4.png		/usr/local/share/games/slimevolley/slimes
install -v -m644 data/slimes/slimeJD5.png		/usr/local/share/games/slimevolley/slimes
install -v -m644 data/slimes/slimeJD6.png		/usr/local/share/games/slimevolley/slimes
install -v -m644 data/slimes/slimeJD7.png		/usr/local/share/games/slimevolley/slimes
install -v -m644 data/slimes/slimeJD8.png		/usr/local/share/games/slimevolley/slimes
install -v -m644 data/slimes/slimeJG1.png		/usr/local/share/games/slimevolley/slimes
install -v -m644 data/slimes/slimeJG2.png		/usr/local/share/games/slimevolley/slimes
install -v -m644 data/slimes/slimeJG3.png		/usr/local/share/games/slimevolley/slimes
install -v -m644 data/slimes/slimeJG4.png		/usr/local/share/games/slimevolley/slimes
install -v -m644 data/slimes/slimeJG5.png		/usr/local/share/games/slimevolley/slimes
install -v -m644 data/slimes/slimeJG6.png		/usr/local/share/games/slimevolley/slimes
install -v -m644 data/slimes/slimeJG7.png		/usr/local/share/games/slimevolley/slimes
install -v -m644 data/slimes/slimeJG8.png		/usr/local/share/games/slimevolley/slimes

install -v -m755 -d					/usr/local/share/games/slimevolley/themes/classic
install -v -m644 data/themes/classic/balle.png		/usr/local/share/games/slimevolley/themes/classic
install -v -m644 data/themes/classic/fleche.png		/usr/local/share/games/slimevolley/themes/classic
install -v -m644 data/themes/classic/menu.png		/usr/local/share/games/slimevolley/themes/classic
install -v -m644 data/themes/classic/oeil.png		/usr/local/share/games/slimevolley/themes/classic
install -v -m644 data/themes/classic/police.ttf		/usr/local/share/games/slimevolley/themes/classic
install -v -m644 data/themes/classic/s_filet.wav	/usr/local/share/games/slimevolley/themes/classic
install -v -m644 data/themes/classic/s_jg_g.wav		/usr/local/share/games/slimevolley/themes/classic
install -v -m644 data/themes/classic/s_jg_m.wav		/usr/local/share/games/slimevolley/themes/classic
install -v -m644 data/themes/classic/slimeD.png		/usr/local/share/games/slimevolley/themes/classic
install -v -m644 data/themes/classic/slimeG.png		/usr/local/share/games/slimevolley/themes/classic
install -v -m644 data/themes/classic/slimeIAG.png	/usr/local/share/games/slimevolley/themes/classic
install -v -m644 data/themes/classic/slimeIAD.png	/usr/local/share/games/slimevolley/themes/classic
install -v -m644 data/themes/classic/s_mur.wav		/usr/local/share/games/slimevolley/themes/classic
install -v -m644 data/themes/classic/s_slime.wav	/usr/local/share/games/slimevolley/themes/classic
install -v -m644 data/themes/classic/theme.txt		/usr/local/share/games/slimevolley/themes/classic

install -v -m755 -d					/usr/local/share/games/slimevolley/themes/default
install -v -m644 data/themes/default/balle.png		/usr/local/share/games/slimevolley/themes/default
install -v -m644 data/themes/default/fleche.png		/usr/local/share/games/slimevolley/themes/default
install -v -m644 data/themes/default/jeu.png		/usr/local/share/games/slimevolley/themes/default
install -v -m644 data/themes/default/menu.png		/usr/local/share/games/slimevolley/themes/default
install -v -m644 data/themes/default/oeil.png		/usr/local/share/games/slimevolley/themes/default
install -v -m644 data/themes/default/police.ttf		/usr/local/share/games/slimevolley/themes/default
install -v -m644 data/themes/default/s_filet.wav	/usr/local/share/games/slimevolley/themes/default
install -v -m644 data/themes/default/s_jg_m.wav		/usr/local/share/games/slimevolley/themes/default
install -v -m644 data/themes/default/slimeD.png		/usr/local/share/games/slimevolley/themes/default
install -v -m644 data/themes/default/slimeG.png		/usr/local/share/games/slimevolley/themes/default
install -v -m644 data/themes/default/slimeIAG.png	/usr/local/share/games/slimevolley/themes/default
install -v -m644 data/themes/default/slimeIAD.png	/usr/local/share/games/slimevolley/themes/default
install -v -m644 data/themes/default/s_mur.wav		/usr/local/share/games/slimevolley/themes/default
install -v -m644 data/themes/default/s_slime.wav	/usr/local/share/games/slimevolley/themes/default
install -v -m644 data/themes/default/theme.txt		/usr/local/share/games/slimevolley/themes/default

install -v -m755 -d					/usr/local/share/locale/fr/LC_MESSAGES
install -T -v -m644 po/fr.gmo				/usr/local/share/locale/fr/LC_MESSAGES/slimevolley.mo

install -v -m755 -d					/usr/local/share/man/man6
install -v -m644 slimevolley.6				/usr/local/share/man/man6

install -v -m755 -d					/usr/local/share/pixmaps
install -v -m644 data/slimevolley_64.xpm		/usr/local/share/pixmaps
install -v -m644 data/slimevolley.xpm			/usr/local/share/pixmaps
